xmlctx.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/inherit.h>`
`#include <stdio.h>`
`#include <gwenhywfar/xml.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_XML_CONTEXT | GWEN_XML_CONTEXT
typedef int(* | GWEN_XMLCTX_ADDATTR_FN) (GWEN_XML_CONTEXT *ctx, const char *attrName, const char *attrData)
typedef int(* | GWEN_XMLCTX_ADDCOMMENT_FN) (GWEN_XML_CONTEXT *ctx, const char *data)
typedef int(* | GWEN_XMLCTX_ADDDATA_FN) (GWEN_XML_CONTEXT *ctx, const char *data)
typedef int(* | GWEN_XMLCTX_ENDTAG_FN) (GWEN_XML_CONTEXT *ctx, int closing)
typedef int(* | GWEN_XMLCTX_STARTTAG_FN) (GWEN_XML_CONTEXT *ctx, const char *tagName)

## Functions

GWENHYWFAR_API void | GWEN_XmlCtx_Attach (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API int | GWEN_XmlCtx_DecDepth (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API void | GWEN_XmlCtx_free (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API GWEN_XMLNODE * | GWEN_XmlCtx_GetCurrentHeader (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API GWEN_XMLNODE * | GWEN_XmlCtx_GetCurrentNode (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API int | GWEN_XmlCtx_GetDepth (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API const char * | GWEN_XmlCtx_GetEncoding (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API uint32_t | GWEN_XmlCtx_GetFinishedElement (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API uint32_t | GWEN_XmlCtx_GetFlags (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API void | GWEN_XmlCtx_IncDepth (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API void | GWEN_XmlCtx_IncFinishedElement (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API GWEN_XML_CONTEXT * | GWEN_XmlCtx_new (uint32_t flags)
GWENHYWFAR_API void | GWEN_XmlCtx_ResetFinishedElement (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API GWEN_XMLCTX_ADDATTR_FN | GWEN_XmlCtx_SetAddAttrFn (GWEN_XML_CONTEXT *ctx, GWEN_XMLCTX_ADDATTR_FN f)
GWENHYWFAR_API GWEN_XMLCTX_ADDCOMMENT_FN | GWEN_XmlCtx_SetAddCommentFn (GWEN_XML_CONTEXT *ctx, GWEN_XMLCTX_ADDCOMMENT_FN f)
GWENHYWFAR_API GWEN_XMLCTX_ADDDATA_FN | GWEN_XmlCtx_SetAddDataFn (GWEN_XML_CONTEXT *ctx, GWEN_XMLCTX_ADDDATA_FN f)
GWENHYWFAR_API void | GWEN_XmlCtx_SetCurrentHeader (GWEN_XML_CONTEXT *ctx, GWEN_XMLNODE *n)
GWENHYWFAR_API void | GWEN_XmlCtx_SetCurrentNode (GWEN_XML_CONTEXT *ctx, GWEN_XMLNODE *n)
GWENHYWFAR_API void | GWEN_XmlCtx_SetDepth (GWEN_XML_CONTEXT *ctx, int i)
GWENHYWFAR_API void | GWEN_XmlCtx_SetEncoding (GWEN_XML_CONTEXT *ctx, const char *encoding)
GWENHYWFAR_API GWEN_XMLCTX_ENDTAG_FN | GWEN_XmlCtx_SetEndTagFn (GWEN_XML_CONTEXT *ctx, GWEN_XMLCTX_ENDTAG_FN f)
GWENHYWFAR_API void | GWEN_XmlCtx_SetFlags (GWEN_XML_CONTEXT *ctx, uint32_t f)
GWENHYWFAR_API GWEN_XMLCTX_STARTTAG_FN | GWEN_XmlCtx_SetStartTagFn (GWEN_XML_CONTEXT *ctx, GWEN_XMLCTX_STARTTAG_FN f)
GWENHYWFAR_API GWEN_XML_CONTEXT * | GWEN_XmlCtxStore_new (GWEN_XMLNODE *n, uint32_t flags)

## Typedef Documentation

## GWEN_XML_CONTEXT

typedef struct GWEN_XML_CONTEXT GWEN_XML_CONTEXT

Definition at line 39 of file xmlctx.h.

## GWEN_XMLCTX_ADDATTR_FN

typedef int(* GWEN_XMLCTX_ADDATTR_FN) (GWEN_XML_CONTEXT *ctx, const char *attrName, const char *attrData)

Definition at line 54 of file xmlctx.h.

## GWEN_XMLCTX_ADDCOMMENT_FN

typedef int(* GWEN_XMLCTX_ADDCOMMENT_FN) (GWEN_XML_CONTEXT *ctx, const char *data)

Definition at line 52 of file xmlctx.h.

## GWEN_XMLCTX_ADDDATA_FN

typedef int(* GWEN_XMLCTX_ADDDATA_FN) (GWEN_XML_CONTEXT *ctx, const char *data)

Definition at line 50 of file xmlctx.h.

## GWEN_XMLCTX_ENDTAG_FN

typedef int(* GWEN_XMLCTX_ENDTAG_FN) (GWEN_XML_CONTEXT *ctx, int closing)

Definition at line 49 of file xmlctx.h.

## GWEN_XMLCTX_STARTTAG_FN

typedef int(* GWEN_XMLCTX_STARTTAG_FN) (GWEN_XML_CONTEXT *ctx, const char *tagName)

Definition at line 47 of file xmlctx.h.

## Function Documentation

## GWEN_XmlCtx_Attach()

GWENHYWFAR_API void GWEN_XmlCtx_Attach | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_DecDepth()

GWENHYWFAR_API int GWEN_XmlCtx_DecDepth | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_free()

GWENHYWFAR_API void GWEN_XmlCtx_free | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_GetCurrentHeader()

GWENHYWFAR_API GWEN_XMLNODE * GWEN_XmlCtx_GetCurrentHeader | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_GetCurrentNode()

GWENHYWFAR_API GWEN_XMLNODE * GWEN_XmlCtx_GetCurrentNode | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_GetDepth()

GWENHYWFAR_API int GWEN_XmlCtx_GetDepth | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_GetEncoding()

GWENHYWFAR_API const char * GWEN_XmlCtx_GetEncoding | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_GetFinishedElement()

GWENHYWFAR_API uint32_t GWEN_XmlCtx_GetFinishedElement | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_GetFlags()

GWENHYWFAR_API uint32_t GWEN_XmlCtx_GetFlags | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_IncDepth()

GWENHYWFAR_API void GWEN_XmlCtx_IncDepth | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_IncFinishedElement()

GWENHYWFAR_API void GWEN_XmlCtx_IncFinishedElement | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_new()

GWENHYWFAR_API GWEN_XML_CONTEXT * GWEN_XmlCtx_new | ( | uint32_t | flags | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_ResetFinishedElement()

GWENHYWFAR_API void GWEN_XmlCtx_ResetFinishedElement | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetAddAttrFn()

GWENHYWFAR_API GWEN_XMLCTX_ADDATTR_FN GWEN_XmlCtx_SetAddAttrFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLCTX_ADDATTR_FN | f )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetAddCommentFn()

GWENHYWFAR_API GWEN_XMLCTX_ADDCOMMENT_FN GWEN_XmlCtx_SetAddCommentFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLCTX_ADDCOMMENT_FN | f )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetAddDataFn()

GWENHYWFAR_API GWEN_XMLCTX_ADDDATA_FN GWEN_XmlCtx_SetAddDataFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLCTX_ADDDATA_FN | f )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetCurrentHeader()

GWENHYWFAR_API void GWEN_XmlCtx_SetCurrentHeader | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLNODE * | n )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetCurrentNode()

GWENHYWFAR_API void GWEN_XmlCtx_SetCurrentNode | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLNODE * | n )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetDepth()

GWENHYWFAR_API void GWEN_XmlCtx_SetDepth | ( | GWEN_XML_CONTEXT * | ctx,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetEncoding()

GWENHYWFAR_API void GWEN_XmlCtx_SetEncoding | ( | GWEN_XML_CONTEXT * | ctx,
|  | const char * | encoding )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetEndTagFn()

GWENHYWFAR_API GWEN_XMLCTX_ENDTAG_FN GWEN_XmlCtx_SetEndTagFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLCTX_ENDTAG_FN | f )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetFlags()

GWENHYWFAR_API void GWEN_XmlCtx_SetFlags | ( | GWEN_XML_CONTEXT * | ctx,
|  | uint32_t | f )

References GWENHYWFAR_API.

## GWEN_XmlCtx_SetStartTagFn()

GWENHYWFAR_API GWEN_XMLCTX_STARTTAG_FN GWEN_XmlCtx_SetStartTagFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | GWEN_XMLCTX_STARTTAG_FN | f )

References GWENHYWFAR_API.

## GWEN_XmlCtxStore_new()

GWENHYWFAR_API GWEN_XML_CONTEXT * GWEN_XmlCtxStore_new | ( | GWEN_XMLNODE * | n,
|  | uint32_t | flags )